Bug 213725 - [exp-run] remove groff in base
Summary: [exp-run] remove groff in base
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-23 11:04 UTC by Baptiste Daroussin
Modified: 2017-10-02 11:08 UTC (History)
1 user (show)

See Also:
bapt: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2016-10-23 11:04:47 UTC
is is possible to make an exp-run using base built from "projects/doctools" branch I would like to figure out if we need to add a USES=groff
Comment 1 Baptiste Daroussin freebsd_committer 2016-10-24 11:22:55 UTC
please ignore this request for now, it seems I have been to far in the cleanup and have broken some part of nroff
Comment 2 Baptiste Daroussin freebsd_committer 2016-10-25 16:23:19 UTC
Should be ok now, regressions have been fixed
Comment 3 Antoine Brodin freebsd_committer 2016-10-29 08:36:44 UTC
buildworld fails to complete:

/poudriere/jails/headamd64PR213725/usr/src/usr.bin/col/col.c:50:10: fatal error: 'capsicum_helpers.h' file not found
#include <capsicum_helpers.h>
         ^
Comment 4 Baptiste Daroussin freebsd_committer 2016-10-29 08:42:32 UTC
rah you head it not recent enough actually that shows an issue using col from base in bootstrap tools for older system...
Comment 5 Baptiste Daroussin freebsd_committer 2016-12-25 18:45:52 UTC
I have updated the branch and fixed the bootstrap tools can you test again?
Comment 6 Antoine Brodin freebsd_committer 2017-01-02 21:50:59 UTC
New failures on amd64:

+ {"origin"=>"comms/svxlink", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"comms/tilp2", "phase"=>"package", "errortype"=>"manpage"}
+ {"origin"=>"devel/aegis", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/cook", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/libexplain", "phase"=>"build", "errortype"=>"termios"}
+ {"origin"=>"devel/srecord", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/nano", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"editors/nano-devel", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"emulators/tiemu3", "phase"=>"package", "errortype"=>"manpage"}
+ {"origin"=>"japanese/groff", "phase"=>"package", "errortype"=>"manpage"}
+ {"origin"=>"lang/clang33", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"lang/clang34", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"lang/clang36", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"mail/gnarwl", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"math/gnuplot", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-de", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-el", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-en", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-es", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-fr", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-hu", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-it", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-ja", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-mn", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-nl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-pl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-pt", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-ru", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-zh_cn", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-zh_tw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/corosync", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"textproc/groff", "phase"=>"package", "errortype"=>"install_error"}
+ {"origin"=>"textproc/linuxdoc-tools", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/quickie", "phase"=>"package", "errortype"=>"manpage"}
+ {"origin"=>"www/xombrero", "phase"=>"build", "errortype"=>"clang"}


Failure logs on amd64:

http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/svxlink-15.11.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/tilp2-1.17_2.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/aegis-4.25_4.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/cook-2.30_3.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/libexplain-1.3.D012_6.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/srecord-1.64_6.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/nano-2.7.3.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/nano-devel-2.5.3.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/tiemu3-3.03_8.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/ja-groff-1.18.1_17.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/clang33-3.3_9.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/clang34-3.4.2_5.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/clang36-3.6.2.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/gnarwl-3.6_5.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/gnuplot-5.0.5.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/de-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/el-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/en-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/es-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/fr-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/hu-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/it-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/ja-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/mn-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/nl-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/pl-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/pt-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/ru-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/zh_cn-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/zh_tw-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/corosync-2.3.5_3.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/groff-1.22.2_4.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/linuxdoc-tools-0.9.71.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/quickie-1.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR213725-default/2017-01-01_07h48m48s/logs/errors/xombrero-1.6.4.log
Comment 7 Antoine Brodin freebsd_committer 2017-01-03 06:18:41 UTC
New failures on i386:

+ {"origin"=>"comms/svxlink", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"comms/tilp2", "phase"=>"package", "errortype"=>"manpage"}
+ {"origin"=>"devel/aegis", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/cook", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"devel/libexplain", "phase"=>"build", "errortype"=>"termios"}
+ {"origin"=>"devel/srecord", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"editors/nano", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"editors/nano-devel", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"emulators/tiemu3", "phase"=>"package", "errortype"=>"manpage"}
+ {"origin"=>"japanese/groff", "phase"=>"package", "errortype"=>"manpage"}
+ {"origin"=>"lang/clang33", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"lang/clang34", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"lang/clang36", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"mail/gnarwl", "phase"=>"build", "errortype"=>"process_failed"}
+ {"origin"=>"math/gnuplot", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-de", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-el", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-en", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-es", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-fr", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-hu", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-it", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-ja", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-mn", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-nl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-pl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-pt", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-ru", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-zh_cn", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freebsd-doc-zh_tw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/corosync", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"textproc/groff", "phase"=>"package", "errortype"=>"install_error"}
+ {"origin"=>"textproc/linuxdoc-tools", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/quickie", "phase"=>"package", "errortype"=>"manpage"}
+ {"origin"=>"www/xombrero", "phase"=>"build", "errortype"=>"clang"}

Failure logs on i386:

http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/svxlink-15.11.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/tilp2-1.17_2.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/aegis-4.25_4.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/cook-2.30_3.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/libexplain-1.3.D012_6.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/srecord-1.64_6.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/nano-2.7.3.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/nano-devel-2.5.3.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/tiemu3-3.03_8.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/ja-groff-1.18.1_17.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/clang33-3.3_9.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/clang34-3.4.2_5.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/clang36-3.6.2.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/gnarwl-3.6_5.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/gnuplot-5.0.5.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/de-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/el-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/en-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/es-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/fr-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/hu-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/it-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/ja-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/mn-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/nl-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/pl-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/pt-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/ru-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/zh_cn-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/zh_tw-freebsd-doc-49749,1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/corosync-2.3.5_3.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/groff-1.22.2_4.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/linuxdoc-tools-0.9.71.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/quickie-1.1_1.log
http://package18.nyi.freebsd.org/data/headi386PR213725-default/2017-01-02_21h43m33s/logs/errors/xombrero-1.6.4.log
Comment 8 Baptiste Daroussin freebsd_committer 2017-05-25 14:41:50 UTC
Can you rerun the exp-run but from vanilla any release built WITHOUT_GROFF=yes in src.conf?
Comment 9 Antoine Brodin freebsd_committer 2017-05-25 19:06:25 UTC
A reminder: the exp-run can be done on 11.0 WITHOUT_GROFF=yes
Comment 10 commit-hook freebsd_committer 2017-05-28 10:58:47 UTC
A commit references this bug:

Author: antoine
Date: Sun May 28 10:58:01 UTC 2017
New revision: 441907
URL: https://svnweb.freebsd.org/changeset/ports/441907

Log:
  Register dependency on groff

  PR:		213725

Changes:
  head/databases/rrdtool/Makefile
  head/devel/libtai/Makefile
  head/dns/libasr/Makefile
  head/dns/libasr-devel/Makefile
  head/lang/clang35/Makefile
  head/mail/ezmlm-idx/Makefile
  head/mail/mess822/Makefile
  head/mail/opensmtpd/Makefile
  head/security/fwipe/Makefile
  head/security/openssh-portable/Makefile
  head/x11-toolkits/fltk/Makefile
Comment 11 commit-hook freebsd_committer 2017-05-28 21:18:46 UTC
A commit references this bug:

Author: antoine
Date: Sun May 28 21:18:05 UTC 2017
New revision: 441925
URL: https://svnweb.freebsd.org/changeset/ports/441925

Log:
  Register dependency on groff

  PR:		213725

Changes:
  head/databases/py-python-rrdtool/Makefile
  head/devel/rcs/Makefile
  head/dns/dnsproxy/Makefile
  head/dns/dnsutl/Makefile
  head/dns/libbind/Makefile
  head/games/unnethack/Makefile
  head/mail/dot-forward/Makefile
  head/mail/fastforward/Makefile
  head/mail/qmail-contrib/Makefile
  head/mail/qmail-rblchk/Makefile
  head/security/openiked/Makefile
  head/sysutils/clockspeed/Makefile
Comment 12 commit-hook freebsd_committer 2017-05-29 11:32:47 UTC
A commit references this bug:

Author: antoine
Date: Mon May 29 11:32:15 UTC 2017
New revision: 441979
URL: https://svnweb.freebsd.org/changeset/ports/441979

Log:
  Register dependency on groff

  PR:		213725

Changes:
  head/archivers/tardy/Makefile
  head/cad/cascade/Makefile
  head/editors/jove/Makefile
  head/games/wolfpack/Makefile
  head/lang/kawa/Makefile
  head/mail/opensmtpd-devel/Makefile
  head/math/primegen/Makefile
  head/sysutils/safecat/Makefile
  head/sysutils/stmpclean/Makefile
  head/sysutils/symon/Makefile
  head/textproc/wiggle/Makefile
Comment 13 Antoine Brodin freebsd_committer 2017-05-29 17:31:00 UTC
There are 2 remaining failures on 11.0 amd64:

http://package22.nyi.freebsd.org/data/110amd64PR213725-default/2017-05-29_08h46m00s/logs/errors/spread-3.17.4_5.log
http://package22.nyi.freebsd.org/data/110amd64PR213725-default/2017-05-29_08h46m00s/logs/errors/cops-1.04_1.log

2 ports were skipped because of spread:  www/spreadlogd and net/wackamole
Comment 14 commit-hook freebsd_committer 2017-05-30 20:32:24 UTC
A commit references this bug:

Author: bapt
Date: Tue May 30 20:32:05 UTC 2017
New revision: 442120
URL: https://svnweb.freebsd.org/changeset/ports/442120

Log:
  Fix build with groff from ports and register the groff dependency

  PR:		213725

Changes:
  head/net/spread/Makefile
Comment 15 commit-hook freebsd_committer 2017-05-30 20:46:37 UTC
A commit references this bug:

Author: bapt
Date: Tue May 30 20:45:41 UTC 2017
New revision: 442122
URL: https://svnweb.freebsd.org/changeset/ports/442122

Log:
  Register dependency on groff

  PR:		213725

Changes:
  head/security/cops/Makefile
Comment 16 Baptiste Daroussin freebsd_committer 2017-05-30 20:48:19 UTC
For me I have fixed both

for cops just registering groff was enough for me to fix the build